file(GLOB_RECURSE MODULES_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/logger/*.c
    ${CMAKE_CURRENT_SOURCE_DIR}/delay/*.c
    ${CMAKE_CURRENT_SOURCE_DIR}/thread_pool/*.c
    ${CMAKE_CURRENT_SOURCE_DIR}/mqtt/*.c
    ${CMAKE_CURRENT_SOURCE_DIR}/http/*.c
    ${CMAKE_CURRENT_SOURCE_DIR}/browser/*.c
    ${CMAKE_CURRENT_SOURCE_DIR}/ipc/*.c
    ${CMAKE_CURRENT_SOURCE_DIR}/go_deploy/*.c
    ${CMAKE_CURRENT_SOURCE_DIR}/tailscale_deploy/*.c
)

set(MODULES_SOURCES
    ${MODULES_SOURCES}
    PARENT_SCOPE
)

set(MODULES_INCLUDE_DIRS
    ${CMAKE_CURRENT_SOURCE_DIR}/logger
    ${CMAKE_CURRENT_SOURCE_DIR}/delay
    ${CMAKE_CURRENT_SOURCE_DIR}/thread_pool
    ${CMAKE_CURRENT_SOURCE_DIR}/mqtt
    ${CMAKE_CURRENT_SOURCE_DIR}/http
    ${CMAKE_CURRENT_SOURCE_DIR}/browser
    ${CMAKE_CURRENT_SOURCE_DIR}/ipc
    ${CMAKE_CURRENT_SOURCE_DIR}/go_deploy
    ${CMAKE_CURRENT_SOURCE_DIR}/tailscale_deploy
    PARENT_SCOPE
)
